<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <LinearLayout
        android:id="@+id/ll_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">


        <LinearLayout
            android:id="@+id/ll_upload_score"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_40"
            android:layout_marginLeft="14dp"
            android:layout_marginTop="14dp"
            android:layout_marginRight="14dp"
            android:background="@drawable/bg_border_e5_radius"
            android:gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="@dimen/dp_26"
                android:layout_height="@dimen/dp_26"
                android:background="@drawable/icon_upload_score" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="2dp"
                android:text="上传乐谱"
                android:textColor="@color/black_333"
                android:textSize="@dimen/sp_15" />

            <ImageView
                android:layout_width="6dp"
                android:layout_height="11dp"
                android:layout_marginLeft="8dp"
                android:background="@drawable/icon_go_right" />
        </LinearLayout>

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/refreshLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.scwang.smart.refresh.header.ClassicsHeader
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:overScrollMode="never"
                android:scrollbars="none" />
        </com.scwang.smart.refresh.layout.SmartRefreshLayout>
    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_empty"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">


        <ImageView
            android:id="@+id/im_empty_logo"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_width="@dimen/dp_260"
            android:layout_height="@dimen/dp_230"
            android:layout_marginTop="8dp"
            android:background="@drawable/icon_empty_content" />

        <TextView
            android:id="@+id/tv_empty_hint"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/im_empty_logo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="14dp"
            android:gravity="center"
            android:lineSpacingExtra="4dp"
            android:text="暂无内容~"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_16" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</RelativeLayout>